corda / net.corda.core.crypto / AnonymousParty

# AnonymousParty

`class AnonymousParty : AbstractParty`

The AnonymousParty class contains enough information to uniquely identify a Party while excluding private information such as name. It is intended to represent a party on the distributed ledger.

### Constructors

<init> | `AnonymousParty(owningKey: PublicKey)` A helper constructor that converts the given PublicKey in to a CompositeKey with a single node `AnonymousParty(owningKey: CompositeKey)` The AnonymousParty class contains enough information to uniquely identify a Party while excluding private information such as name. It is intended to represent a party on the distributed ledger.

### Inherited Properties

owningKey | `val owningKey: CompositeKey`

### Functions

nameOrNull | `fun nameOrNull(): String?`
ref | `fun ref(bytes: OpaqueBytes): PartyAndReference`
toAnonymous | `fun toAnonymous(): AnonymousParty`
toString | `fun toString(): String`

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean` Anonymised parties do not include any detail apart from owning key, so equality is dependent solely on the key
hashCode | `open fun hashCode(): Int`
ref | `fun ref(vararg bytes: Byte): PartyAndReference`